from resolvers.author import (
    get_author,
    get_author_follows,
    get_author_followers,
    get_author_id,
    get_authors_all,
    load_authors_by,
    rate_author,
    update_author,
)
from resolvers.community import get_communities_all, get_community
from resolvers.editor import create_shout, delete_shout, update_shout
from resolvers.follower import follow, get_my_followed, unfollow
from resolvers.reaction import (
    create_reaction,
    delete_reaction,
    load_reactions_by,
    load_shouts_followed,
    update_reaction,
)
from resolvers.reader import (
    get_shout,
    load_shouts_by,
    load_shouts_feed,
    load_shouts_random_top,
    load_shouts_random_topic,
    load_shouts_search,
    load_shouts_unrated,
)
from resolvers.topic import (
    get_topic,
    get_topics_all,
    get_topics_by_author,
    get_topics_by_community,
)


__all__ = [
    # author
    "get_author",
    "get_author_id",
    "get_authors_all",
    "get_author_followers",
    "get_author_follows",
    "load_authors_by",
    "rate_author",
    "update_author",
    # community
    "get_community",
    "get_communities_all",
    # topic
    "get_topic",
    "get_topics_all",
    "get_topics_by_community",
    "get_topics_by_author",
    # reader
    "get_shout",
    "load_shouts_by",
    "load_shouts_feed",
    "load_shouts_search",
    "load_shouts_followed",
    "load_shouts_unrated",
    "load_shouts_random_top",
    "load_shouts_random_topic",
    # follower
    "follow",
    "unfollow",
    "get_my_followed",
    # editor
    "create_shout",
    "update_shout",
    "delete_shout",
    # reaction
    "create_reaction",
    "update_reaction",
    "delete_reaction",
    "load_reactions_by",
]
